import java.awt.*;
import javax.swing.*;
/*import org.draknek.widgets.*;*/

public class Main extends JApplet
{
	private static Main instance;
	
	public static Main getInstance ()
	{
		return instance;
	}
	
	public Main ()
	{
		instance = this;
		
		setPreferredSize(new Dimension(640, 480));
	}
	
	public void init ()
	{
		Store.load();
		
		setLayout(new BorderLayout());
		
		GameArea game = new GameArea();
		
		add(game);
		
		validate();
		
		game.init();
	}
	
	public void start ()
	{
		GameArea.getInstance().start();
	}
	
	/*public static void main (String[] args)
	{
		Main applet = new Main();
		applet.init();
		applet.start();
		
		DFrame window = new DFrame();
		
		window.setContentPane(applet);
		window.pack();
		window.setVisible(true);
	}*/
}
