import java.awt.geom.Point2D;

class Stairs extends Entity
{
	private String level;
	private Point2D.Double where;
	
	Stairs (Point2D.Double p, String level, int x, int y, String updown)
	{
		super(p, 8, 16);
		
		Sprite sprite = new Sprite(Store.getImage("stairs-" + updown));
		
		setSprite(sprite);
		
		this.level = level;
		
		where = new Point2D.Double(x, y);
	}
	
	public void cycle ()
	{
		Player player = Player.getInstance();
		
		if (touching(player))
		{
			System.out.println(player);
			GameArea.load(level, where);
		}
	}
}
